Jan 12, 2011

How to install Graebert's ARES Commander Edition on (K)Ubuntu 10.10 64 bit

Well as the title says here you will learn how to install ARES on a 64bit Ubuntu system

First download the latest trial version (.deb package)
of ARES Commander Edition from here
Move it to your home folder for simplicity
If you try to open it with gdebi or Software Center you will see this error message
''Error wrong architecture - i386"
So you need some magic from the command line

Open a terminal and type:
sudo dpkg -i --force-architecture package_name
(simply type the first 2-3 letters and press tab to get it)
After typing your password you will stop in another error message which informs you about a missing dependence libc6-i686
If you try now to install manually from Software Center or Synaptic this package you will see that it is already installed but with a different name (libc6-i386).If it's not installed simply install it ( it's necessary ) but the error message continues to appear if you try to give again the previous command in terminal.
So the only thing you have to do is to add another parameter to the previous command
It must be like that:
sudo dpkg -i --force-architecture --ignore-depends=libc6-i686 package_name
Waiting for a while and your trial version of this professional CAD system will be ready for use
Update(24/01/2011): This bug has been fixed in version 10.12.205 of ARES CE. So you have only to use the --force-architecture parameter to successfully install ARES on (K)Ubuntu 64bit

2 comments:

  1. Hi,
    I tried to install Draftsight
    on my Linux Mint 13 KDE (Ubuntu 12.04) 64 bit,
    and installing it with dpkg it goes allright, but when I launch the program it gets stuck when trying to maximize the window.

    Also I'm trying to install Ares Commander.
    When I run dpkg with --force-architecture,
    I get

    graebert-gmbh-ares-commander-edition:i386 dipende da sendmail.

    Sendmail is already installed,
    and I get

    graebert-gmbh-ares-commander-edition:i386 : Dipende: sendmail:i386 ma non è installabile

    What shall I do?
    Thanks a lot!

    ReplyDelete
    Replies
    1. http://linuxaideddesign.blogspot.gr/2012/03/draftsight-and-ubuntu-1204-lts-64bit.html
      For ARES CE use this method with one change. Delete sendmail from the list of dependencies (Step 5).
      Your DraftSight's problem is probably related to your graphics driver.

      Delete